Create Many Bills
curl --request POST \
--url https://api.upwell.com/api/rest/bulk-bills \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"billLineItems": {},
"billLineItemsLastUpdatedAt": "2023-11-07T05:31:56Z",
"carrierId": "<string>",
"checkOrAchNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dispatcherEmail": "<string>",
"dueDate": "<string>",
"id": "<string>",
"issueDate": "<string>",
"mcleodSettlementTransferError": "<string>",
"mcleodSettlementTransferResponse": "<unknown>",
"mcleodSettlementTransferredAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"payToAccount": "<string>",
"proNumber": "<string>",
"referenceNumber": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"sourceSystemMeta": "<unknown>",
"status": "<string>",
"terms": "<string>",
"totalAmount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"vendor": {},
"vendorId": "<string>"
}
]
}
'import requests
url = "https://api.upwell.com/api/rest/bulk-bills"
payload = { "inputs": [
{
"billLineItems": {},
"billLineItemsLastUpdatedAt": "2023-11-07T05:31:56Z",
"carrierId": "<string>",
"checkOrAchNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dispatcherEmail": "<string>",
"dueDate": "<string>",
"id": "<string>",
"issueDate": "<string>",
"mcleodSettlementTransferError": "<string>",
"mcleodSettlementTransferResponse": "<unknown>",
"mcleodSettlementTransferredAt": "2023-11-07T05:31:56Z",
"notes": "<string>",
"payToAccount": "<string>",
"proNumber": "<string>",
"referenceNumber": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"sourceSystemMeta": "<unknown>",
"status": "<string>",
"terms": "<string>",
"totalAmount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"vendor": {},
"vendorId": "<string>"
}
] }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
inputs: [
{
billLineItems: {},
billLineItemsLastUpdatedAt: '2023-11-07T05:31:56Z',
carrierId: '<string>',
checkOrAchNumber: '<string>',
createdAt: '2023-11-07T05:31:56Z',
dispatcherEmail: '<string>',
dueDate: '<string>',
id: '<string>',
issueDate: '<string>',
mcleodSettlementTransferError: '<string>',
mcleodSettlementTransferResponse: '<unknown>',
mcleodSettlementTransferredAt: '2023-11-07T05:31:56Z',
notes: '<string>',
payToAccount: '<string>',
proNumber: '<string>',
referenceNumber: '<string>',
sourceSystem: '<string>',
sourceSystemId: '<string>',
sourceSystemMeta: '<unknown>',
status: '<string>',
terms: '<string>',
totalAmount: 123,
updatedAt: '2023-11-07T05:31:56Z',
vendor: {},
vendorId: '<string>'
}
]
})
};
fetch('https://api.upwell.com/api/rest/bulk-bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createBills": {
"returning": [
{
"billLineItems": [
{
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"id": "<string>",
"item": "<string>",
"lineNumber": "<string>",
"quantity": "<unknown>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"totalAmount": 123,
"unitPrice": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"carrierId": "<string>",
"checkOrAchNumber": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dueDate": "<string>",
"id": "<string>",
"issueDate": "<string>",
"notes": "<string>",
"payToAccount": "<string>",
"proNumber": "<string>",
"referenceNumber": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"sourceSystemMeta": "<unknown>",
"status": "<string>",
"terms": "<string>",
"totalAmount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"vendor": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"sourceSystem": "<string>",
"sourceSystemId": "<string>",
"sourceSystemMeta": "<unknown>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"vendorId": "<string>"
}
]
}
}Bills
Create Many Bills
Create multiple bills at once
POST
/
api
/
rest
/
bulk-bills
Create Many Bills
Headers
Your API key will be used for authentication of the request. Authorization: YOUR_API_KEY
Body
application/json
Query parameters can also be provided in the request body as a JSON object
Show child attributes
Show child attributes
Response
200 - application/json
Responses for POST /api/rest/bulk-bills
response of any mutation on the table "bills"
Show child attributes
Show child attributes
⌘I

